# Class SimpleTreeModel

java.lang.Object
jspecview.tree.SimpleTreeModel

public class SimpleTreeModel extends Object

## Constructor Summary

Constructors
Constructor
Description
`SimpleTreeModel(JSVTreeNode rootNode)`

## Method Summary

Modifier and Type
Method
Description
`void`
`insertNodeInto(JSVTreeNode fileNode, JSVTreeNode rootNode, int i)`
`void`
`removeNodeFromParent(JSVTreeNode node)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SimpleTreeModel

public SimpleTreeModel(JSVTreeNode rootNode)

## Method Details

### insertNodeInto

public void insertNodeInto(JSVTreeNode fileNode, JSVTreeNode rootNode, int i)

### removeNodeFromParent

public void removeNodeFromParent(JSVTreeNode node)